aboutsummaryrefslogtreecommitdiff
path: root/automated/linux/cyclictest
diff options
context:
space:
mode:
authorChase Qi <chase.qi@linaro.org>2017-10-19 16:37:14 +0800
committerChase Qi <chase.qi@linaro.org>2017-10-19 16:37:14 +0800
commit577b48c84017e4daf18412c3efdfe07c67914eda (patch)
treec0421e01f1fd013bb05a53c546431a492390dd92 /automated/linux/cyclictest
parentfeaa55e7bd649968630fd0543300f34a7de917e3 (diff)
cyclictest.sh: use pre-installed binary if being already installed
In my case, my system has already get cyclictest installed, so just use it. Signed-off-by: Lei Yang <Lei.Yang@windriver.com> Signed-off-by: Chase Qi <chase.qi@linaro.org>
Diffstat (limited to 'automated/linux/cyclictest')
-rwxr-xr-xautomated/linux/cyclictest/cyclictest.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/automated/linux/cyclictest/cyclictest.sh b/automated/linux/cyclictest/cyclictest.sh
index 20caa2e6..88bb4d55 100755
--- a/automated/linux/cyclictest/cyclictest.sh
+++ b/automated/linux/cyclictest/cyclictest.sh
@@ -34,9 +34,12 @@ done
create_out_dir "${OUTPUT}"
# Run cyclictest.
-detect_abi
-# shellcheck disable=SC2154
-./bin/"${abi}"/cyclictest -p "${PRIORITY}" -i "${INTERVAL}" -t "${THREADS}" \
+if ! binary=$(which cyclictest); then
+ detect_abi
+ # shellcheck disable=SC2154
+ binary="./bin/${abi}/cyclictest"
+fi
+"${binary}" -p "${PRIORITY}" -i "${INTERVAL}" -t "${THREADS}" \
-l "${LOOPS}" | tee "${LOGFILE}"
# Parse test log.